<?php
///////////////////////////////////////////////////////////////////////////////////////////////////////
// BotBanish 7.1.06
// Randem Systems: https://randemsystems.support
// BotBanish Client Settings
// Date: 04/05/2026
// Usage: require_once('Settings_Client.php');
//
// Function: Settings
///////////////////////////////////////////////////////////////////////////////////////////////////////

	$BotBanishText = array();
	$BotBanishSettings = BotBanishSetSettings();
	
	// Define our globals

	$items = array(
				array('$BotBanishSQL', ''),
				array('$BotBanishURL', ''),
				array('$BotBanishConn', ''),
				array('$BotBanishTableColumns', array()),
			);

	foreach ($items as $item)
		if (!isset($item[0])) $item[0] = $item[1];

function BotBanishSetSettings() {

	global $BotBanishSettings;
	
	// The below section is auto generated at install

	//***BOTBANISH SETTINGS***

	// The above section is auto generated at install

	// Once we find the active BotBanish server the first time we keep it throught the current session
	// Otherwise we may overload the server with calls to the BotBanish server via repetative cron calls

	
	$BotBanishSettings = BotBanishSettingsTableGetValues();

	$tz = BotBanishGetTimeZone();
	BotBanishSetTimeZone($tz);
	
	$ip = BotBanishGetIp();
	BotBanishIsUserLockedOut($ip);	// will not return if user is locked out

	return $BotBanishSettings;
}
?>